# dkim_sig_getidentity()

[back to index]

SYNOPSIS |
    #include <dkim.h>
    DKIM_STAT dkim_sig_getidentity(
    	DKIM *dkim,
    	DKIM_SIGINFO *sig,
            char *val,
            size_t vallen
    );
Retrieve the signing identity from a signature handle.
DESCRIPTION |
Called When | `dkim_sig_getidentity()` is called after `dkim_eoh()` to determine the identity associated with a signature.
ARGUMENTS |
Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()` or `dkim_verify`.
sig | The `DKIM_SIGINFO` handle representing the signature being evaluated.
val | A character buffer to receive the identity extracted from the signature. The value may be explicitly defined in the signature's "i=" tag, or inferred from its absence.
vallen | Number of bytes available at `val`.
RETURN VALUES | DKIM_STAT_OK -- successful completion DKIM_STAT_SYNTAX -- some part of the input string was invalid DKIM_STAT_NORESOURCE -- `val` did not contain enough space for the complete identity string

Copyright (c) 2005-2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010 The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.